#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 25. X Libraries

- Prev

  Cairo-1.17.2+f93fc72c03e

- Next

  Cogl-1.22.8

- Up
- Home

# libcairomm-1.0 (cairomm-1.14.0)

## Introduction to libcairomm-1.0

The libcairomm-1.0 package provides a C++ interface to Cairo.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.cairographics.org/releases/cairomm-1.14.0.tar.xz

- Download MD5 sum: 75a08d50eb08b97667e4ea2be6efa1ad

- Download size: 592 KB

- Estimated disk space required: 27 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### libcairomm-1.0 Dependencies

#### Required

Cairo-1.17.2+f93fc72c03e and libsigc++-2.10.6

#### Recommended

Boost-1.75.0 (for tests)

#### Optional

Doxygen-1.9.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/cairomm-1.0

## Installation of libcairomm-1.0

Install Cairomm-1.0 by running the following commands:

    mkdir bld &&
    cd    bld &&

    meson --prefix=/usr       \
          -Dbuild-tests=true  \
          -Dboost-shared=true \
          ..                  &&
    ninja

To run the test suite, run: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dbuild-tests=true`: This switch is for building the unit tests. Remove if you have not installed Boost-1.75.0.

`-Dboost-shared=true`: This switch has the package use the shared version of boost libraries. It is required if you have not installed the boost static libraries, and you have passed `-Dbuild-tests=true`.

`-Dbuild-documentation=true`: This switch builds the html documentation if doxygen is installed.

## Contents

Installed Programs: None
Installed Library: libcairomm-1.0.so
Installed Directories: /usr/{lib,include}/cairomm-1.0 and /usr/share/{devhelp/books,doc}/cairomm-1.0 (optional)

### Short Descriptions

`libcairomm-1.0.so` | contains the Cairo API classes

Last updated on 2021-02-21 11:05:24 -0800

- Prev

  Cairo-1.17.2+f93fc72c03e

- Next

  Cogl-1.22.8

- Up
- Home